# NOTE: Derived from blib/lib/InfoSys/FreeDB/Connection/CDDBP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Connection::CDDBP;

#line 646 "blib/lib/InfoSys/FreeDB/Connection/CDDBP.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Connection/CDDBP/proto.al)"
sub proto {
    my $self = shift;
    my $level = shift;

    # Send command and wait for reply
    my $cmd = 'proto';
    $cmd .= " $level" if ($level);
    my $content_ref = $self->_wait_command_reply($cmd, {
        200 => $FINAL_EOL_RX,
        201 => $FINAL_EOL_RX,
        501 => $FINAL_EOL_RX,
        502 => $FINAL_EOL_RX,
    } );

    # Parse result
    require InfoSys::FreeDB::Response::Proto;
    my $res = InfoSys::FreeDB::Response::Proto->new_from_content_ref(
        $content_ref
    );

    # Remember current protocol level
    $self->set_proto_level( $res->get_cur_level() );

    # Return the result
    return($res);
}

# end of InfoSys::FreeDB::Connection::CDDBP::proto
1;
