# NOTE: Derived from blib/lib/InfoSys/FreeDB/Entry.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Entry;

#line 564 "blib/lib/InfoSys/FreeDB/Entry.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Entry/_initialize.al)"
sub _initialize {
    my $self = shift;
    my $opt = defined($_[0]) ? shift : {};

    # Check $opt
    ref($opt) eq 'HASH' || throw Error::Simple("ERROR: InfoSys::FreeDB::Entry::_initialize, first argument must be 'HASH' reference.");

    # artist, SINGLE
    exists( $opt->{artist} ) && $self->set_artist( $opt->{artist} );

    # client_comment, SINGLE
    exists( $opt->{client_comment} ) && $self->set_client_comment( $opt->{client_comment} );

    # client_name, SINGLE
    exists( $opt->{client_name} ) && $self->set_client_name( $opt->{client_name} );

    # client_version, SINGLE
    exists( $opt->{client_version} ) && $self->set_client_version( $opt->{client_version} );

    # disc_length, SINGLE
    exists( $opt->{disc_length} ) && $self->set_disc_length( $opt->{disc_length} );

    # discid, SINGLE
    exists( $opt->{discid} ) && $self->set_discid( $opt->{discid} );

    # extd, SINGLE
    exists( $opt->{extd} ) && $self->set_extd( $opt->{extd} );

    # genre, SINGLE
    exists( $opt->{genre} ) && $self->set_genre( $opt->{genre} );

    # revision, SINGLE
    exists( $opt->{revision} ) && $self->set_revision( $opt->{revision} );

    # title, SINGLE
    exists( $opt->{title} ) && $self->set_title( $opt->{title} );

    # track, MULTI
    if ( exists( $opt->{track} ) ) {
        ref( $opt->{track} ) eq 'ARRAY' || throw Error::Simple("ERROR: InfoSys::FreeDB::Entry::_initialize, specified value for option 'track' must be an 'ARRAY' reference.");
        $self->set_track( @{ $opt->{track} } );
    }
    else {
        $self->set_track();
    }

    # year, SINGLE
    exists( $opt->{year} ) && $self->set_year( $opt->{year} );

    # Return $self
    return($self);
}

# end of InfoSys::FreeDB::Entry::_initialize
1;
