# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Motd.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Motd;

#line 211 "blib/lib/InfoSys/FreeDB/Response/Motd.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Motd/new_from_content_ref.al)"
sub new_from_content_ref {
    my $class = shift;
    my $content_ref = shift;

    # Convert $opt->{content_ref} to @content_ref
    my @content_ref = split(/[\n\r]+/, ${$content_ref} );

    # Parse first line
    my $line = shift(@content_ref);
    my ($code, $tail) = $line =~ /$CODE_RX/;
    defined ($code) ||
        throw Error::Simple ('ERROR: InfoSys::FreeDB::Response::Motd::new_from_content_ref, first line of specified \'content_ref\' does not contain a code.');
    my %opt;
    my @tail = split(/\s+/, $tail, 4);
    if ($code == 210) {
        pop(@content_ref);
        %opt = (
            code => $code,
            result => 'Last modified',
            date => $tail[2],
            message_text => join("\n", @content_ref),
        );
    }
    elsif ($code == 401) {
        %opt = (
            code => $code,
            result => 'No message of the day available',
        );
    }
    else {
        throw Error::Simple ("ERROR: InfoSys::FreeDB::Response::Motd::new_from_content_ref, unknown code '$code' returned. Allowed codes are 210 and 401.");
    }

    # Create a new object and return it
    return( $class->new( \%opt ) );
}

# end of InfoSys::FreeDB::Response::Motd::new_from_content_ref
1;
