# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Quit.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Quit;

#line 179 "blib/lib/InfoSys/FreeDB/Response/Quit.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Quit/new_from_content_ref.al)"
sub new_from_content_ref {
    my $class = shift;
    my $content_ref = shift;

    # Convert $opt->{content_ref} to @content_ref
    my @content_ref = split(/[\n\r]+/, ${$content_ref} );

    # Parse first line
    my $line = shift(@content_ref);
    my ($code, $tail) = $line =~ /$CODE_RX/;
    defined ($code) ||
        throw Error::Simple ('ERROR: InfoSys::FreeDB::Response::Quit::new_from_content_ref, first line of specified \'content_ref\' does not contain a code.');
    my %opt;
    if ($code == 230) {
        my @tail = split(/\s+/, $tail);
        %opt = (
            code => $code,
            result => 'OK, goodbye',
            hostname => $tail[0],
        );
    }
    else {
        throw Error::Simple ("ERROR: InfoSys::FreeDB::Response::Quit::new_from_content_ref, unknown code '$code' returned. Allowed code is 230.");
    }

    # Create a new object and return it
    return( $class->new( \%opt ) );
}

# end of InfoSys::FreeDB::Response::Quit::new_from_content_ref
1;
