# NOTE: Derived from blib/lib/InfoSys/FreeDB/Response/Stat.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Response::Stat;

#line 390 "blib/lib/InfoSys/FreeDB/Response/Stat.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Response/Stat/_initialize.al)"
sub _initialize {
    my $self = shift;
    my $opt = defined($_[0]) ? shift : {};

    # Check $opt
    ref($opt) eq 'HASH' || throw Error::Simple("ERROR: InfoSys::FreeDB::Response::Stat::_initialize, first argument must be 'HASH' reference.");

    # database_entries, SINGLE
    exists( $opt->{database_entries} ) && $self->set_database_entries( $opt->{database_entries} );

    # gets, BOOLEAN
    exists( $opt->{gets} ) && $self->set_gets( $opt->{gets} );

    # posting, BOOLEAN
    exists( $opt->{posting} ) && $self->set_posting( $opt->{posting} );

    # proto_cur, SINGLE
    exists( $opt->{proto_cur} ) && $self->set_proto_cur( $opt->{proto_cur} );

    # proto_max, SINGLE
    exists( $opt->{proto_max} ) && $self->set_proto_max( $opt->{proto_max} );

    # quotes, BOOLEAN
    exists( $opt->{quotes} ) && $self->set_quotes( $opt->{quotes} );

    # strip_ext, BOOLEAN
    exists( $opt->{strip_ext} ) && $self->set_strip_ext( $opt->{strip_ext} );

    # updates, BOOLEAN
    exists( $opt->{updates} ) && $self->set_updates( $opt->{updates} );

    # users_cur, SINGLE
    exists( $opt->{users_cur} ) && $self->set_users_cur( $opt->{users_cur} );

    # users_max, SINGLE
    exists( $opt->{users_max} ) && $self->set_users_max( $opt->{users_max} );

    # Call the superclass' _initialize
    $self->SUPER::_initialize($opt);

    # Return $self
    return($self);
}

# end of InfoSys::FreeDB::Response::Stat::_initialize
1;
