# NOTE: Derived from blib/lib/InfoSys/FreeDB/Connection.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Connection;

#line 708 "blib/lib/InfoSys/FreeDB/Connection.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Connection/set_client_version.al)"
sub set_client_version {
    my $self = shift;
    my $val = shift;

    # Value for 'client_version' is not allowed to be empty
    defined($val) || throw Error::Simple("ERROR: InfoSys::FreeDB::Connection::set_client_version, value may not be empty.");

    # Check if isa/ref/rx/value is allowed
    &_value_is_allowed( 'client_version', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Connection::set_client_version, the specified value '$val' is not allowed.");

    # Assignment
    $self->{InfoSys_FreeDB_Connection}{client_version} = $val;
}

# end of InfoSys::FreeDB::Connection::set_client_version
1;
