# NOTE: Derived from blib/lib/InfoSys/FreeDB/Connection.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package InfoSys::FreeDB::Connection;

#line 736 "blib/lib/InfoSys/FreeDB/Connection.pm (autosplit into blib/lib/auto/InfoSys/FreeDB/Connection/set_freedb_port.al)"
sub set_freedb_port {
    my $self = shift;
    my $val = shift;

    # Value for 'freedb_port' is not allowed to be empty
    defined($val) || throw Error::Simple("ERROR: InfoSys::FreeDB::Connection::set_freedb_port, value may not be empty.");

    # Check if isa/ref/rx/value is allowed
    &_value_is_allowed( 'freedb_port', $val ) || throw Error::Simple("ERROR: InfoSys::FreeDB::Connection::set_freedb_port, the specified value '$val' is not allowed.");

    # Assignment
    $self->{InfoSys_FreeDB_Connection}{freedb_port} = $val;
}

# end of InfoSys::FreeDB::Connection::set_freedb_port
1;
